PYSIDE6-QML(1)

NAME
pyside6-qml - qml

DESCRIPTION
usage: qml.py [-h] [--module-paths MODULE_PATHS [MODULE_PATHS ...]]

    [--list-conf] [--apptype {core,gui,widget}] [--config {default,resizeToItem}] [--rhi {vulkan,metal,d3dll,gl}] [--core-profile] [-v] [--gles | --desktop | --software | --disable-context-sharing] file

This tools mimics the capabilities of qml runtime utility by directly invoking QQmlEngine/QQuickView. It enables quick prototyping with qml files.

  positional arguments:

file
    Path to qml file to display

  options:

-h, --help
    show this help message and exit

--module-paths, -I MODULE_PATHS [MODULE_PATHS ...]
    Specify space separated folder/file paths where the Qml classes are defined. By default,the parent directory of the qml_path is searched recursively for all .py files and they are imported. Otherwise only the paths give in module paths are searched

--list-conf
    List the built-in configurations.

--apptype, -a {core,gui,widget}
    Select which application class to use. Default is gui

--config, -c {default,resizeToItem}
    Select the built-in configurations.

--rhi, -r {vulkan,metal,d3dll,gl}
    Set the backend for the Qt graphics abstraction (RHI).

--core-profile
    Force use of OpenGL Core Profile.

-v, --verbose
    Print information about what qml is doing, like specific file URLs being loaded.

--gles
    Force use of GLES (AA_UseOpenGLES)

--desktop
    Force use of desktop OpenGL (AA_UseDesktopOpenGL)

--software
    Force use of software rendering(AA_UseSoftwareOpenGL)

--disable-context-sharing
    Disable the use of a shared GL context for QtQuick Windows